Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface IUpdateConstants

All Known Subinterfaces:
  IImport

All Known Implementing Classes:
  Import

public interface IUpdateConstants

Manages a list of static constants.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0.2

Field Summary
`static int` | `RULE_COMPATIBLE` Dependency can be satisfied only with plug-in version that is compatible with the specified version (either is equivalent, or greater minor identifier (but same major identifier)).
`static int` | `RULE_EQUIVALENT` Dependency can be satisfied only with plug-in version that is equivalent to the specified version (same major and minor version identifier, greater than or equal service identifier).
`static int` | `RULE_GREATER_OR_EQUAL` Dependency can be satisfied only with plug-in version that is greater or equal to the specified version.
`static int` | `RULE_NONE` No matching rule specified
`static int` | `RULE_PERFECT` Dependency can be satisfied only with plug-in version matching exactly the specified version.
`static int` | `RULE_PREFIX` Dependency can be satisfied only if the required identifier is a prefix of the specified identifier.
`static int` | `SEARCH_ROOT` The search location for updates is defined by the root feature.
`static int` | `SEARCH_SELF` The search location for updates is defined by this feature.

Field Detail

### RULE_NONE

    public static final int RULE_NONE

  No matching rule specified

  Since:
    2.0
  See Also:
    Constant Field Values

### RULE_PERFECT

    public static final int RULE_PERFECT

  Dependency can be satisfied only with plug-in version matching exactly the specified version.

  Since:
    2.0
  See Also:
    Constant Field Values

### RULE_EQUIVALENT

    public static final int RULE_EQUIVALENT

  Dependency can be satisfied only with plug-in version that is equivalent to the specified version (same major and minor version identifier, greater than or equal service identifier).

  Since:
    2.0
  See Also:
    Constant Field Values

### RULE_COMPATIBLE

    public static final int RULE_COMPATIBLE

  Dependency can be satisfied only with plug-in version that is compatible with the specified version (either is equivalent, or greater minor identifier (but same major identifier)).

  Since:
    2.0
  See Also:
    Constant Field Values

### RULE_GREATER_OR_EQUAL

    public static final int RULE_GREATER_OR_EQUAL

  Dependency can be satisfied only with plug-in version that is greater or equal to the specified version.

  Since:
    2.0
  See Also:
    Constant Field Values

### RULE_PREFIX

    public static final int RULE_PREFIX

  Dependency can be satisfied only if the required identifier is a prefix of the specified identifier.

  Since:
    2.1
  See Also:
    Constant Field Values

### SEARCH_ROOT

    public static final int SEARCH_ROOT

  The search location for updates is defined by the root feature.

  Since:
    2.0.2
  See Also:
    Constant Field Values

### SEARCH_SELF

    public static final int SEARCH_SELF

  The search location for updates is defined by this feature.

  Since:
    2.0.2
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.